### Class

# Manette Device

#### Description [src]

    final class Manette.Device : GObject.Object
    {
      /* No available fields */
    }

An object representing a physical gamepad.

See also: `ManetteMonitor`.

#### Hierarchy

#### Ancestors

- GObject

#### Instance methods

###### manette_device_get_device_type

Gets the device type of `self`.

since: 0.2.10

###### manette_device_get_guid

Gets the identifier used by SDL mappings to discriminate game controller devices.

since: 0.2.10

###### manette_device_get_mapping

Gets the user mapping for `self`, or default mapping if there isn’t any.

since: 0.2.10

###### manette_device_get_name

Gets the device’s name.

###### manette_device_has_input

Gets whether the device has the given input.

###### manette_device_has_rumble

Gets whether `self` supports rumble.

###### manette_device_has_user_mapping

Gets whether `self` has a user mapping.

###### manette_device_remove_user_mapping

Removes the user mapping for `self`.

###### manette_device_rumble

Make `self` rumble during `milliseconds` milliseconds.

###### manette_device_save_user_mapping

Saves `mapping_string` as the user mapping for `self`.

###### manette_device_supports_mapping

Gets whether `self` supports mapping.

since: 0.2.10

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Signals

###### Manette.Device::absolute-axis-event

Emitted when an absolute axis’ value changes.

###### Manette.Device::button-press-event

Emitted when a button is pressed.

###### Manette.Device::button-release-event

Emitted when a button is released.

###### Manette.Device::disconnected

Emitted when the device is disconnected.

###### Manette.Device::event

Emitted for any kind of event before mapping it.

###### Manette.Device::hat-axis-event

Emitted when a hat axis’ value changes.

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct ManetteDeviceClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.